use low3, clear
collect clear

* Set workbook for export
putexcel set low.xlsx, replace

* Add text and merge cells
putexcel A1 = "Analysis of birthweights", bold
putexcel A1:C1, border(bottom, thick) merge hcenter

putexcel A3 = "We have data on birthweights from Hosmer, "
putexcel A4 = "Lemeshow, and Sturdivant(2013, 24). "

* Summary statistics for low birthweights
dtable age lwt i.ht i.smoke, by(low)

* Export the table from this collection
putexcel A6 = collect

putexcel A18 = "Linear regression model of infant birthweights"
putexcel A18:C18, merge

* Fit a regression model 
regress bwt i.smoke age, nopvalues

* Export the table of estimation results
putexcel A20 = etable
putexcel D20:E20, merge

* Export bar graph 
graph hbar bwt, over(ht) over(smoke) asyvars ///
 title(Baby birthweights) ytitle(Average birthweight (grams)) ///
 subtitle(by mother's smoking status and history of hypertension)
graph export bweight.png, replace height(500)
putexcel F6 = image(bweight.png)

* Save the document
putexcel save
