/* Birth weight report */

version 18
use low, clear

summarize bwt
local total = r(N)

putdocx begin
putdocx textblock begin
We have the recorded weight for <<dd_docx_display: r(N)>> babies with an 
average birthweight of <<dd_docx_display: %7.2f r(mean)>> grams.
putdocx textblock end

count if smoke==1

putdocx textblock append
 There are <<dd_docx_display: r(N)>> mothers who smoked during pregnancy and
 <<dd_docx_display: `total'-r(N)>> who did not.
putdocx textblock end

graph hbar bwt, over(ht) over(smoke) asyvars 
graph export bweight.png, replace

putdocx image bweight.png

regress bwt i.smoke age, cformat(%9.2f)
putdocx table bweight = etable

putdocx textblock begin
We find that on average, infants whose mothers smoked tend to weigh less.
putdocx textblock end

putdocx save bwreport, replace
